Subject: [Idr] Delays in status posting

From: "Susan Hares" <[email-masked]>
Date: Wed, 28 Aug 2019 11:58:36 -0400

Greetings 

One of my day jobs is being a professor and this is the first week of class.

 The week before classes start and the first week of classes is a busy time 

for professors.    Due to my reporting of the IDR has been delayed.  

I hope complete my open action items/responses/reviews  by Thursday noon.   

Sue Hares